/*
  1. Use a more-intuitive box-sizing model.
*/
*,
*::before,
*::after {
    box-sizing: border-box;
}
/*
    2. Remove default margin
  */
* {
    margin: 0;
    font-size: 0.9rem;

    padding: 0;
    box-sizing: border-box;
}
/*
    3. Allow percentage-based heights in the application
  */
html,
body {
    width: 100%;
}
/*
    Typographic tweaks!
    4. Add accessible line-height
    5. Improve text rendering
  */
body {
    width: 100vw;
    min-height: 100vh;
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
}
/*
    6. Improve media defaults
  */
img,
picture,
video,
canvas,
svg {
    display: block;
    max-width: 100%;
}
/*
    7. Remove built-in form typography styles
  */
input,
button,
textarea,
select {
    font: inherit;
}
/*
    8. Avoid text overflows
  */
p,
h1,
h2,
h3,
h4,
h5,
h6 {
    overflow-wrap: break-word;
}

.material-symbols-outlined {
    font-variation-settings: "FILL" 0, "wght" 400, "GRAD" 0, "opsz" 48;
    vertical-align: middle !important;
}

.left {
    text-align: left;
}

.right {
    text-align: right;
}
.center {
    text-align: center;
}
.top {
    vertical-align: top;
}
.bottom {
    vertical-align: bottom;
}
.middle {
    vertical-align: middle;
}
.italic {
    font-style: italic;
}

a {
    text-decoration: none;
}
/* a:hover {} */

.nowrap {
    white-space: nowrap;
}

.badge {
    padding: 0.5rem !important;
    margin: 0 0.1rem !important;
}

table {
    width: 100vw;
}

.cell-today {
    border: 2px dashed #666 !important;
}
.table {
    margin-bottom: 0;
}

.table-success {
    --bs-table-bg: #d1e7dd;
    --bs-table-striped-bg: #c7dbd2;
    --bs-table-striped-color: #000;
    --bs-table-active-bg: #bcd0c7;
    --bs-table-active-color: #000;
    --bs-table-hover-bg: #c1d6cc;
    --bs-table-hover-color: #000;
}

.bi {
    width: 1em;
    font-size: 1.2em;
    display: inline-block;
    vertical-align: middle;
}
